Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.model.iface
Enum Submit.Status

    java.lang.Object
      java.lang.Enum<Submit.Status>
          com.eviware.soapui.model.iface.Submit.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Submit.Status>

Enclosing interface:
  Submit

    public static enum Submit.Status

extends java.lang.Enum<Submit.Status>

Enum Constant Summary
`CANCELED`
`ERROR`
`FINISHED`
`INITIALIZED`
`RUNNING`

Method Summary
`static Submit.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Submit.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIALIZED

    public static final Submit.Status INITIALIZED

### RUNNING

    public static final Submit.Status RUNNING

### CANCELED

    public static final Submit.Status CANCELED

### FINISHED

    public static final Submit.Status FINISHED

### ERROR

    public static final Submit.Status ERROR

Method Detail

### values

    public static final Submit.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Submit.Status c : Submit.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Submit.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.